Subject: Re: bug#7130: 24.0.50; EPA queries twice and doesn't cache passwords when decrypting files

From: Tassilo Horn <[email-masked]>
Date: Thu, 30 Sep 2010 08:24:40 +0200

On Thursday 30 September 2010 04:20:00 Daiki Ueno wrote:

Hi!

> Hrm, I can't reproduce this.  It seems that the only special thing on
> your environment is that your dot-authinfo.gpg is version controlled.

Indeed, that's the cause of the issue.  It has to be version controlled
and already committed (just git-added is not sufficient, but see below).

> However, even if I created a test Git repo and set up the symlink, I
> can by-pass the 2nd password query, if
> epa-file-cache-passphrase-for-symmetric-encryption is set.
> 
> [...]
> 
> Anyway, I added some resources to "(epa)Bug Reports".  Could you
> provide more information to reproduce this?

Sure.

> Ideally, with a script to setup the test environment.  Here are the
> steps I tried:

That script is missing only one line:

> $ mkdir -p /tmp/test && cd /tmp/test
> $ gpg --symmetric > dot-test.gpg < /dev/null
> $ git init
> $ git add dot-test.gpg

$ git commit -m test

> $ cd .. && ln -s test/dot-test.gpg .test.gpg
> $ emacs -Q
> $ M-: (setq epa-file-cache-passphrase-for-symmetric-encryption t)
> $ C-x C-f .test.gpg

Without having the file committed, emacs won't query you if it should
follow a symlink to a git version controlled file, and that seems to
trigger the bug.

Bye,
Tassilo